org.labkey.remoteapi.security

## Class DeleteContainerCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<ResponseType>
  - - org.labkey.remoteapi.PostCommand<DeleteContainerResponse>
    - - org.labkey.remoteapi.security.DeleteContainerCommand

-     public class DeleteContainerCommand
      extends PostCommand<DeleteContainerResponse>

  Delete a container (project/folder/workbook) and all of its children. Takes no configuration, just a target container path when executing the command. User: jeckels Date: 9/11/12

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteContainerCommand()`
    `DeleteContainerCommand(DeleteContainerCommand source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteContainerCommand` | `copy()` Returns a copy of this object.
    `protected DeleteContainerResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

    - ### Methods inherited from class org.labkey.remoteapi.PostCommand

      `createRequest, getJsonObject, setJsonObject`

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleteContainerCommand

          public DeleteContainerCommand()

    - #### DeleteContainerCommand

          public DeleteContainerCommand(DeleteContainerCommand source)

  - ### Method Detail

    - #### createResponse

          protected DeleteContainerResponse createResponse(java.lang.String text,
                                                           int status,
                                                           java.lang.String contentType,
                                                           org.json.simple.JSONObject json)

      Description copied from class: `Command`
      Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

      Override this method to create an instance of a different class that extends CommandResponse

      Overrides:
        `createResponse` in class `Command<DeleteContainerResponse>`
      Parameters:
        `text` - The response text from the server.
        `status` - The HTTP status code.
        `contentType` - The Content-Type header value.
        `json` - The parsed JSONObject (or null if no JSON was returned).
      Returns:
        An instance of the response object.

    - #### copy

          public DeleteContainerCommand copy()

      Description copied from class: `Command`
      Returns a copy of this object. Derived classes should override this to copy their own data members
      Overrides:
        `copy` in class `PostCommand<DeleteContainerResponse>`
      Returns:
        A copy of this object